let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/0b8mciagw4yvss47nmavpcjnr61bq4li-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/4qlwvn3iprxqpfd0rh1b8scc7id8dsfc-coreutils-8.29/bin";
  bzip2 = "/nix/store/lzhifvxl8wg42wcr6mg7116svznssnw1-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/5zqy9vh136p068qhr267f58c12lb92in-gzip-1.9/bin/gzip";
  xz = "/nix/store/minbr1jlc3mjf98rck7d0sklpa8d9z6a-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/ss2p8bzkxj05c417ax1hv7w55by89rl8-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/4qlwvn3iprxqpfd0rh1b8scc7id8dsfc-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/fz5cikwvj3n0a6zl44h6l2z3cin64mda-nix-2.2.2/bin";
  nixPrefix = "/nix/store/fz5cikwvj3n0a6zl44h6l2z3cin64mda-nix-2.2.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/fz5cikwvj3n0a6zl44h6l2z3cin64mda-nix-2.2.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
